%define name gxanim
%define version 0.50
%define release 5mdk

Summary: Xanim front end
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
License:GPL 
Group: Video
URL: http://www.greslin.org/code/
BuildRoot: %{_tmppath}/%{name}-buildroot

%description
gxanim is a graphical frontend for the XAnim movie player program 
based on he GTK+ widget. The user can quickly locate a 
Quicktime/AVI/etc... file, play it and use basic VCR-like 
features on the playing clip. Future versions will allow the user 
to keep a database of clips as well as program playlists.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q 

%build

%make

%install
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
install -s -m 755 gxanim $RPM_BUILD_ROOT/%{_bindir}

(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}):\
command="/usr/bin/gxanim"\
title="Gxanim"\
longtitle="Frontend for xanim"\
needs="x11"\
section="Multimedia/Graphics"
EOF
)
 
%post
%{update_menus}
 
%postun
%{clean_menus} 

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%doc docs/*
%{_bindir}/*
%{_libdir}/menu/*

%changelog
* Thu Jul 26 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.50-5mdk
- rebuild

* Thu Jan 11 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.50-4mdk
- rebuild

* Tue Sep 05 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.50-3mdk
- macros
- BM
- menu

* Thu Apr 27 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.50-2mdk
- fix group
- fix files section

* Fri Feb 11 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.50-1mdk
- v0.50

* Mon Sep  6 1999 Daouda LO <daouda@mandrakesoft.com>
- First spec file for Mandrake distribution.


# end of file
